
/*
	GIER console simulator

	(C) Copyright 2011 by Mogens Kjaer


   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include "console.h"

extern unsigned char remove_parity(unsigned char);
extern unsigned char flx2a(unsigned char, int *);

/*
	Typewriter, reader, and punch stuff
*/

int typewriter_nchars=0;
char typewriter_char_table[TYPEWRITER_TABLE_SIZE];
int reader_nchars=0, reader_offset=READER_TAPE_OFFSET;
char reader_char_table[READER_TAPE_WINDOW+READER_TAPE_OFFSET];
int reader_parity_error;
int selected_out[5];

char *last_filename = NULL;

int debug;
FILE *debug_fh;
int YE_wait;
int BY=17;


void GIERmain()
{

  interface_update_all();

  interface_run();
}

